package com.bcxin.ars.model.approve;

import com.bcxin.ars.model.BaseModel;

import java.util.Date;

/**
 * 区域审批流程明细
 *
 * @author zhangye
 * @since 2018-01-19 14:14:17
 */
public class ApproveAreaProDetail extends BaseModel {
    private static final long serialVersionUID = 604055370L;


    /**
     * 生效时间
     */
    private Date effectTime;

    /**
     * 失效时间
     */
    private Date failureTime;

    /**
     * 审批级次（填写1,2之类）
     */
    private Integer approveRank;

    /**
     * 多人审批规则
     */
    private String manyApproveRule;

    /**
     * 职位名称
     */
    private String positionName;

    /**
     * 区域审批流程ID
     */
    private Long approveAreaProId;

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getFailureTime() {
        return failureTime;
    }

    public void setFailureTime(Date failureTime) {
        this.failureTime = failureTime;
    }

    public Integer getApproveRank() {
        return approveRank;
    }

    public void setApproveRank(Integer approveRank) {
        this.approveRank = approveRank;
    }

    public String getManyApproveRule() {
        return manyApproveRule;
    }

    public void setManyApproveRule(String manyApproveRule) {
        this.manyApproveRule = manyApproveRule;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public Long getApproveAreaProId() {
        return approveAreaProId;
    }

    public void setApproveAreaProId(Long approveAreaProId) {
        this.approveAreaProId = approveAreaProId;
    }
}